Skip to main content
`Ctrl`+`K`

# compress_image_data

astropy.io.fits.hdu.compressed._tiled_compression.compress_image_data(image_data, compression_type, compressed_header, compressed_coldefs)

  Compress the data in a `CompImageHDU`.

  The input HDU is expected to have a uncompressed numpy array as it’s `.data` attribute.

  Parameters:
    image_data `ndarray`

      The image data to compress

    compression_type `python:str`

      The compression algorithm

    compressed_header `Header`

      The header of the compressed binary table

    compressed_coldefs `ColDefs`

      The ColDefs object for the compressed binary table

  Returns:
    nbytes `int`

      The number of bytes of the heap.

    heap `bytes`

      The bytes of the FITS table heap.